%global modname zope.dottedname

Summary: Resolver for Python dotted names
Name: python-zope-dottedname
Version: 3.4.6
Release: 6%{?dist}
Source0: http://pypi.python.org/packages/source/z/%{modname}/%{modname}-%{version}.tar.gz
License: ZPLv2.1
Group: Development/Libraries
BuildArch: noarch
URL: http://pypi.python.org/pypi/zope.dottedname

# register the test suite, applied in upstream svn116336
Patch0: python-zope-dottedname-3.4.6-run-tests.patch
 

BuildRequires: python2-devel
BuildRequires: python-setuptools
# for tests, should be removed in the next upstream release
BuildRequires: python-zope-testing

%description
The zope.dottedname module provides one function, 'resolve' that
resolves strings containing dotted names into the appropriate Python
object.

%prep
%setup -q -n %{modname}-%{version}
%patch0 -p2 -b .run_tests

%build
%{__python} setup.py build

%install
%{__python} setup.py install --root=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT%{python_sitelib}/zope/dottedname/README.txt

%check
%{__python} setup.py test

%files
%doc PKG-INFO CHANGES.txt src/zope/dottedname/README.txt
# Co-own %%{python_sitelib}/zope/
%dir %{python_sitelib}/zope/
%{python_sitelib}/zope/dottedname/
%{python_sitelib}/%{modname}-*.egg-info
%{python_sitelib}/%{modname}-*-nspkg.pth


%changelog
* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.4.6-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.4.6-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue May 29 2012 Robin Lee <cheeselee@fedoraproject.org> - 3.4.6-4
- Include PKG-INFO in %%doc

* Sun May 27 2012 Robin Lee <cheeselee@fedoraproject.org> - 3.4.6-3
- Remove defattr
- Move README.txt to %%doc

* Mon Sep 13 2010 Robin Lee <robinlee.sysu@gmail.com> - 3.4.6-2
- Requires: python-zope-filesystem and python-setuptools removed
- Add %%check section and run tests
- Add python-zope-dottedname-3.4.6-run-tests.patch to register the test_suite
- Co-own %%{python_sitelib}/zope/
- Don't move the text files
- Spec cleaned up

* Wed Jun 16 2010 Robin Lee <robinlee.sysu@gmail.com> - 3.4.6-1
- Initial packaging
